Package org.eclipse.mat.inspections.osgi.model

# Class BundleReaderFactory

java.lang.Object
org.eclipse.mat.inspections.osgi.model.BundleReaderFactory

public class BundleReaderFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`BundleReaderFactory()`

## Method Summary

Modifier and Type
Method
Description
`static IBundleReader`
`getBundleReader(ISnapshot snapshot)`
Check for the type of framework and return corresponding IBundleReader

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundleReaderFactory

public BundleReaderFactory()

## Method Details

### getBundleReader

public static IBundleReader getBundleReader(ISnapshot snapshot) throws SnapshotException
Check for the type of framework and return corresponding IBundleReader

Parameters:
  `snapshot` -
Returns:
  IBundleReader
Throws:
  `SnapshotException`